libwps::AllocTable Class Reference

## Public Member Functions

| AllocTable ()
void | clear ()
unsigned long | count ()
void | resize (unsigned long newsize)
void | set (unsigned long index, unsigned long val)
std::vector< unsigned long > | follow (unsigned long start)
unsigned long | operator[] (unsigned long index)
void | load (const unsigned char *buffer, unsigned len)

## Public Attributes

unsigned | blockSize

## Static Public Attributes

static const unsigned | Eof = 0xfffffffe
static const unsigned | Avail = 0xffffffff
static const unsigned | Bat = 0xfffffffd
static const unsigned | MetaBat = 0xfffffffc

## Private Member Functions

| AllocTable (const AllocTable &)
AllocTable & | operator= (const AllocTable &)

## Private Attributes

std::vector< unsigned long > | data

## Constructor & Destructor Documentation

libwps::AllocTable::AllocTable | ( |  | ) |

libwps::AllocTable::AllocTable | ( | const AllocTable & |  | ) |

private

## Member Function Documentation

void libwps::AllocTable::clear | ( |  | ) |

unsigned long libwps::AllocTable::count | ( |  | ) |

std::vector< unsigned long > libwps::AllocTable::follow | ( | unsigned long | start | ) |

Referenced by libwps::StreamIO::StreamIO().

void libwps::AllocTable::load | ( | const unsigned char * | buffer,
|  | unsigned | len
| ) |  |

AllocTable& libwps::AllocTable::operator= | ( | const AllocTable & |  | ) |

private

unsigned long libwps::AllocTable::operator[] | ( | unsigned long | index | ) |

void libwps::AllocTable::resize | ( | unsigned long | newsize | ) |

Referenced by AllocTable().

void libwps::AllocTable::set | ( | unsigned long | index,
|  | unsigned long | val
| ) |  |

## Member Data Documentation

const unsigned libwps::AllocTable::Avail = 0xffffffff

static

Referenced by libwps::Header::Header().

const unsigned libwps::AllocTable::Bat = 0xfffffffd

static

unsigned libwps::AllocTable::blockSize

Referenced by libwps::StorageIO::StorageIO().

std::vector<unsigned long> libwps::AllocTable::data

private

const unsigned libwps::AllocTable::Eof = 0xfffffffe

static

const unsigned libwps::AllocTable::MetaBat = 0xfffffffc

static

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp